We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8254 - Port statistics consolidation
Port statistics consolidation
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Open Journal Systems
2.4.x
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 10:18 PDT by beghelli
Modified: 2014-03-31 07:09 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description beghelli 2013-06-11 10:18:53 PDT
Port work done in bug 8015 to OJS 2.4.x
Comment 1 beghelli 2013-08-20 14:46:03 PDT
Introduced script to remove timed view bot stats when upgrading
https://github.com/pkp/ojs/commit/28de2b629d8c94d9a7411ad98deef3d40e4ad0c6
Comment 2 beghelli 2013-10-02 13:09:04 PDT
Add missing statistic setting
https://github.com/pkp/ojs/commit/c846e9b0967cd55edb1c887b35be681c783c97cb
Comment 3 beghelli 2013-10-02 13:09:04 PDT
Backport usage stats plugin
https://github.com/pkp/ojs/commit/9a849a7fe0877f72a0fc13ec617f862bf57c7f0b
Comment 4 beghelli 2013-10-02 13:10:03 PDT
Moved code to retrieve path components to core
https://github.com/pkp/pkp-lib/commit/3e260b4489606dd24d4e606eec714ffd065303ef
Comment 5 beghelli 2013-10-02 13:10:03 PDT
Introduced method to check file existence
https://github.com/pkp/pkp-lib/commit/698fd66eebf10d2f8b4c2118304e815aada19c54
Comment 6 beghelli 2013-10-02 13:10:04 PDT
Introduced metrics related locale keys
https://github.com/pkp/pkp-lib/commit/944d10fbb5efa303035ddf2ec114fee14dc23f0a
Comment 7 beghelli 2013-10-02 13:10:04 PDT
Introduced condition parameter for notes
https://github.com/pkp/pkp-lib/commit/1a6e5e5fdfc6f59ba051e1f84a0582555cc2463b
Comment 8 beghelli 2013-10-02 13:10:04 PDT
Let usage events plugin hooks being called after download
https://github.com/pkp/pkp-lib/commit/38e773d7616da53e26f7308540ee15292dee7823
Comment 11 beghelli 2013-10-02 13:13:02 PDT
Introduced method to generate statistics reports
https://github.com/pkp/ojs/commit/3b0cce0614e0b4cf4a30c4ff6c03d64fb370fab5
Comment 12 beghelli 2013-10-02 13:13:02 PDT
Get rid of OJS default stats (views columns)
https://github.com/pkp/ojs/commit/3c0238e54f230232e406b513b117a9527a89f89a
Comment 13 beghelli 2013-10-02 13:13:02 PDT
Backport usage events plugin
https://github.com/pkp/ojs/commit/fc3b935a8f67f5bcacffee086e049a97a342de33
Comment 14 beghelli 2013-10-02 13:13:02 PDT
Implemented stats migration
https://github.com/pkp/ojs/commit/c45983214fca9138a62fbffefedbfc24befa3b33
Comment 15 beghelli 2013-10-02 13:14:02 PDT
Transformed Counter into a report plugin, adapted to work with ojs counter metric type
https://github.com/pkp/ojs/commit/ee23ee63adf3693e74858c643640adbf817084a2
Comment 16 beghelli 2013-10-02 13:14:02 PDT
Transformed Timed View into a report plugin, adapted to work with ojs counter metric type
https://github.com/pkp/ojs/commit/2b8f304b325e949c2ec283f59d6cf3382158bb77
Comment 17 beghelli 2013-10-02 13:15:01 PDT
Introduced file loader base task class
https://github.com/pkp/pkp-lib/commit/0a6fccfa351b7838e22893e996f10e8f0c225d4f
Comment 18 beghelli 2013-10-04 06:34:02 PDT
Fixed edge cases in usage stats loader
https://github.com/pkp/ojs/commit/66474e65fc320f489f864dab151a9a499fc6a058
Comment 19 beghelli 2013-10-12 12:50:03 PDT
Improved geolocation tool country and region retrieving
https://github.com/pkp/ojs/commit/61adba68216ac610f90658de182b44f60ed545b9
Comment 20 beghelli 2013-10-12 12:51:02 PDT
Introduced label option to extras on demand widget
https://github.com/pkp/pkp-lib/commit/6f3a8f48fbbbb3232c78dcce74ae873f5ebbd30c
Comment 21 beghelli 2013-10-12 15:01:02 PDT
Introduced view column as ordering option
https://github.com/pkp/ojs/commit/84c574c3e7670029aa1cb78d50ff3f0e8f91f8a5
Comment 23 beghelli 2013-11-21 08:03:03 PST
Moved statistics locale definitions and geo location tool retrieving to helper class
https://github.com/pkp/ojs/commit/a2b69a867eb8b7a69cf97eb2060f301d182b26db
Comment 24 beghelli 2013-11-21 08:03:03 PST
Make report generator customizable for each report plugin
https://github.com/pkp/ojs/commit/5aabeeb252e3618498f3747d95c139891095f450
Comment 25 beghelli 2013-11-22 11:01:06 PST
Process journal index page from log files
https://github.com/pkp/ojs/commit/0a93b642de86360c026c43834923ee250d97a261
Comment 26 beghelli 2013-11-22 11:01:07 PST
Fixed report generator locale key
https://github.com/pkp/ojs/commit/9162177f9c0c04da5ec7972615f53a7841b03c0e
Comment 27 beghelli 2013-11-24 14:01:04 PST
Moved common scheduled task functions to helper class
https://github.com/pkp/pkp-lib/commit/e1840866dd7f856c3d38dbfa0fff6a6c351dfe25
Comment 28 beghelli 2013-11-24 14:03:02 PST
Use the acron plugin hook to run the scheduled task, implemented automatic file logs handling
https://github.com/pkp/ojs/commit/63dc9a0d16b3fb87f452cbe96e4742e5f2c8fb70
Comment 29 beghelli 2013-11-24 16:05:02 PST
Created tool to help managing apache log files (copying and filtering entries)
https://github.com/pkp/ojs/commit/634745426dda63ce59af3fa59f8717215ef822d7
Comment 30 beghelli 2013-11-24 16:08:02 PST
Moved common scheduled task functions to helper class
https://github.com/pkp/pkp-lib/commit/f6ef54310fe247eff671ca14bb846e4762107b8a
Comment 31 beghelli 2013-11-25 07:49:03 PST
Added options to automatic stage ojs log files and to process external files while still creating ojs log ones
https://github.com/pkp/ojs/commit/85661da12f64235226f697efb880ac292200541e
Comment 32 beghelli 2013-11-25 09:09:02 PST
Added missing object type column to default report templates
https://github.com/pkp/ojs/commit/0105a64b1de8ec6415a83aa5771bb19f95422441
Comment 33 beghelli 2013-11-26 04:29:03 PST
Added version.xml to acron plugin
https://github.com/pkp/ojs/commit/c80cc58652e1956e3201b71daed711c0ebd8da6d
Comment 34 beghelli 2013-11-26 10:47:02 PST
Added schema file method to usage stats plugin
https://github.com/pkp/ojs/commit/36a230afd0b4bba77926b3d0a256c85cd51b21c3
Comment 35 beghelli 2013-11-26 11:48:01 PST
Fixed plugins version files
https://github.com/pkp/ojs/commit/415765b526542f1220d21a6e368410d006db1153
Comment 36 beghelli 2013-11-27 09:35:02 PST
Added file type to migrated timed view stats
https://github.com/pkp/ojs/commit/b022954d35a077ad3edd181b171e785c7a26f2fd
Comment 37 beghelli 2013-11-27 18:31:03 PST
Add month on timed view stats migration
https://github.com/pkp/ojs/commit/c9201c3281c282ddbb4f60e953cb93abf4ac8ff5
Comment 38 beghelli 2013-12-03 09:50:02 PST
Moved notify admin functionality to scheduled task class
https://github.com/pkp/pkp-lib/commit/b01e99c3dac99117ac55317a3db49180f9630532
Comment 40 beghelli 2014-01-20 03:07:08 PST
Loaded required locale component
https://github.com/pkp/pkp-lib/commit/1f5b50b7047c5aa21c7c16e6ed9f7c2ccd93c649